Frequently Asked Questions


What software do I need to customize the templates?
Most Templates require Adobe After Effects CS5 or higher version. Some templates are available from version CS6 and higher. Please check the “After Effects version” on the product description box (right side of the product page).


What are the system requirements for using the templates?

Our templates are compatible with After Effects running on mac or pc, there is no difference. Your computer will need a minimum system requirements in order to work with After Effects with no trouble. Here are the minimum system requirements from Adobe’s site.


I’ve never used After Effects, can I still edit your templates just by following the video tutorials?

Customizing the template is really easy but I usually advice to first familiarizing with the After Effects interface, terminology and most used tools.
If you have already used an editing software then customizing with After effects should be pretty simple. If this is your first time with any video editing/animation software you can join our 2 days challenge on “How to edit After Effects Template“, it’s FREE!